=== debian/changelog ===
ros-indigo-qt-tutorials (0.2.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 18 Feb 2016 15:42:16 -0000

ros-indigo-qt-tutorials (0.2.7-0trusty) trusty; urgency=high

  * update for indigo

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 26 Jul 2014 15:00:00 -0000

ros-indigo-qt-tutorials (0.2.4-0trusty) trusty; urgency=high

  * Fix: Parse error at BOOST_JOIN in Qt's moc (fix #8 <https://github.com/stonier/qt_ros/issues/8>).
  * Contributors: Benjamin Chretien

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Mar 2014 15:00:00 -0000

ros-indigo-qt-tutorials (0.2.2-0trusty) trusty; urgency=high

  * add cmake_minimum_required to the cmake logic (build farm needs it)

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 23 Oct 2013 15:00:00 -0000
