=== debian/control ===
Source: ros-indigo-qt-tutorials
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-qt-build, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-qt-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev, ros-indigo-message-runtime, ros-indigo-qt-build, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Example qt programs, generated from code similar to that used by the roscreate-qt-pkg script and styled on roscpp_tutorials.
